umbrello: Diagram_Utils Namespace Reference

umbrello 2.39.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Diagram_Utils Namespace Reference

## Enumerations
enum | SequenceLineFormat { Invalid , GDB , QtCreatorGDB , Simple }

## Functions
SequenceLineFormat | detectSequenceLineFormat (const QStringList &lines)
bool | parseSequenceLine (const QString &s, QString &sequence, QString &package, QString &method, QString &error)
bool | importSequences (const QStringList &lines, UMLScene *scene, const QString &sourceHint)
bool | importClassGraph (const QStringList &lines, UMLScene *scene, const QString &sourceHint)
bool | importGraph (const QStringList &lines, UMLScene *scene, const QString &sourceHint)
bool | importGraph (const QMimeData *mimeData, UMLScene *scene)
bool | importGraph (const QString &fileName, UMLScene *scene)
bool | isUniqueDiagramName (Uml::DiagramType::Enum type, QString &name)

## Detailed Description

Utilities for diagrams

Author
  Ralf Habacker Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Enumeration Type Documentation

## ◆ SequenceLineFormat

enum Diagram_Utils::SequenceLineFormat

Enumerator
Invalid |
GDB |
QtCreatorGDB |
Simple |

## Function Documentation

## ◆ detectSequenceLineFormat()

SequenceLineFormat Diagram_Utils::detectSequenceLineFormat | ( | const QStringList & | lines | ) |

Detect sequence line format

Parameters

  lines |

Returns

## ◆ importClassGraph()

bool Diagram_Utils::importClassGraph | ( | const QStringList & | lines,
|  | UMLScene * | scene,
|  | const QString & | sourceHint )

## ◆ importGraph() [1/3]

bool Diagram_Utils::importGraph | ( | const QMimeData * | mimeData,
|  | UMLScene * | scene )

Import graph entries from clipboard

Parameters

  mimeData | instance of mime data to import from
  scene | The diagram to import the graph into.

Returns
  true Import successful.
  false Import failed.

## ◆ importGraph() [2/3]

bool Diagram_Utils::importGraph | ( | const QString & | fileName,
|  | UMLScene * | scene )

Import graph entries from file

Parameters

  fileName | filename to import the graph from.
  scene | The diagram to import the graph into.

Returns
  true Import successful.
  false Import failed.

## ◆ importGraph() [3/3]

bool Diagram_Utils::importGraph | ( | const QStringList & | lines,
|  | UMLScene * | scene,
|  | const QString & | sourceHint )

Import sequence diagram entries from a string list.

Parameters

  lines | String list with sequences
  scene | The diagram to import the sequences into.
  sourceHint | Source hint for use in error message in case of error.

Returns
  true Import was successful.
  false Import failed.

## ◆ importSequences()

bool Diagram_Utils::importSequences | ( | const QStringList & | lines,
|  | UMLScene * | scene,
|  | const QString & | sourceHint )

Import sequence diagram entries from a string list.

Parameters

  lines | String list with sequences
  scene | The diagram to import the sequences into.
  sourceHint | The source the sequences are imported from

Returns
  true Import was successful.
  false Import failed.

## ◆ isUniqueDiagramName()

bool Diagram_Utils::isUniqueDiagramName | ( | Uml::DiagramType::Enum | type,
|  | QString & | name )

Check if name for a diagram is unique

Parameters

  type | type of diagram to check (set to undefined if to check against all diagrams)
  name | name of diagram to check

Returns
  true - name is unique
  false - name is not unique

## ◆ parseSequenceLine()

bool Diagram_Utils::parseSequenceLine | ( | const QString & | s,
|  | QString & | sequence,
|  | QString & | package,
|  | QString & | method,
|  | QString & | error )

Helper function to parse sequence line. The supported formats are:

Parameters

  s | string to parse
  sequence | return of sequence number
  package | return of package
  method | return of method
  error | return of error string if error happened

Returns
  true line could be parsed and return variable has been filled
  false line could not be parsed, no return variable has been filled

Qtcreator/gdb

    *  6	Driver::ParseHelper::ParseHelper	driver.cpp	299	0x634c44
    * 31   g_main_context_dispatch /usr/lib64/libglib-2.0.so.0     0x7fffefe16316
    * ignoring
    * ... <more>                                                   0x7ffff41152d9
    * 13  ??                                                       0x7ffff41152d9
    *